#
# Copyright (c) 2004,2005,2008,2010,2012,2015 Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Summary:	Tiny library for loading texture bitmaps
Name:		simage
Version:	1.7.0
Release:	1.20181020.0%{?dist}

License: 	Distributable (Restrictions on mpeg code)
URL:		http://www.coin3d.org

Source0: http://ftp.coin3d.org/coin/src/all/simage-%{version}.tar.gz
Patch0: simage-1.7.0-libpng-1.5.patch

BuildRequires:  gcc-c++
BuildRequires:  jasper-devel
# FIXME: BR: libungif or giflib
BuildRequires: 	libjpeg-devel libpng-devel libtiff-devel
BuildRequires: 	libsndfile-devel libvorbis-devel

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
simage is a library for loading texture bitmaps for 3D
applications. It contains "wrappers" for libjpeg, libpng, libtiff and
libungif, as well as native code for parsing bitmap files in SGI RGB,
PIC and TARGA.  simage is used by the Coin 3D library.

%prep
%setup -q -n %{name}-%{version}
%patch -P0 -p1

%build
%configure --with-mpeg2enc --without-gdiplus \
--with-xwd \
--with-jasper \
--includedir=%{_includedir}/simage --disable-static

#fix up simage.pc
sed -i \
  -e 's,^Requires:\(.*\)$,Requires: vorbisfile jasper libpng\1,' \
  -e 's,\-logg ,,' \
  -e 's,\-lvorbis ,,' \
  -e 's,\-lvorbisfile ,,' \
  -e 's,\-lpng ,,' \
  -e 's,\-ljasper ,,' \
simage.pc
make

%install
  make DESTDIR=${RPM_BUILD_ROOT} install
  rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_libdir}/libsimage.so.*

%package devel
Summary: Development files for simage
Requires: simage = %{version}-%{release}
Requires: libtiff-devel giflib-devel

%description devel
Simage is a library for loading texture bitmaps for 3D
applications. It contains "wrappers" for libjpeg, libpng, libtiff and
libungif, as well as native code for parsing bitmap files in SGI RGB,
PIC and TARGA.  simage is used by the Coin 3D library.

%files devel
%{_bindir}/simage-config
%{_datadir}/aclocal/simage.m4
%{_datadir}/Coin/conf
%{_includedir}/simage
%{_libdir}/libsimage.so
%{_libdir}/pkgconfig/*pc

%changelog
* Wed Apr 19 2023 Ralf Corsépius <ralcor@links2linux.de> - 1.7.0-1.20181020.0
- Use %%patch -P N instead of %%patchN.

* Sat Oct 20 2018 Ralf Corsépius <ralf@links2linux.de> - 1.7.0-0.20181020.0
- Add BR: gcc-c++.
- Drop libungif.

* Sat May 09 2015 Ralf Corsépius <ralf@links2linux.de> - 1.7.0-0.20150509.0
- Modernize spec.

* Wed Aug 29 2012 Ralf Corsépius <ralf@links2linux.de> - 1.7.0-0.20120829.1
- Adjust to libpng-1.5 (Add simage-1.7.0-libpng-1.5.patch).

* Wed Mar 03 2010 Ralf Corsépius <ralf@links2linux.de> - 1.7.0-0.20100303.0
- Update to 1.7.0.
- Revamp spec.

* Thu May 06 2004 Ralf Corsepius <ralf@links2linux.de> - 0:1.6.0-0.fdr.0
- Initial Fedora RPM release.
